Describe Agent
curl --request POST \
--url https://api-lr.agent.ai/v1/action/describe_agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "fluximage"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/describe_agent"
payload = { "agent_id": "fluximage" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: 'fluximage'})
};
fetch('https://api-lr.agent.ai/v1/action/describe_agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"agent": {
"id": "1a4g81x0bfsc5dpi",
"human_id": "fluximage",
"name": "Flux Image Generator",
"description": "Generates an image using the new Flux AI model.",
"url": "https://agent.ai/agent/fluximage",
"profile_url": "https://agent.ai/profile/fluximage",
"icon": "/icons/generative-image.svg",
"type": "studio",
"status": "public",
"tags": [
"Marketing"
],
"executions": 970429,
"review": {
"count": 26611,
"score": 4.23
},
"authors": [
{
"name": "Dharmesh Shah",
"username": "dharmesh",
"user_token": "77cadf7cbd19448b9f11951082c26bd1"
}
],
"created_at": "2024-08-15T20:56:33",
"updated_at": "2026-03-13T17:44:27"
},
"inputs": [
"image_prompt"
],
"outputs": [
"image_generated"
]
}{
"status": 400,
"error": "agent_id is required"
}{
"status": 401,
"error": "Invalid or expired JWT token."
}{
"status": 404,
"error": "Agent not found"
}Agent Discovery
Describe Agent
Get detailed metadata, input fields, and output fields for a specific agent by its ID or slug.
POST
/
action
/
describe_agent
Describe Agent
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
The agent ID or human-readable slug (e.g. "fluximage" or "1a4g81x0bfsc5dpi").
Example:
"fluximage"
Response
Agent details retrieved successfully
HTTP status code
Example:
200
Agent metadata and configuration details.
Show child attributes
Show child attributes
List of input field variable names the agent accepts.
Example:
["image_prompt"]
List of output variable names the agent produces.
Example:
["image_generated"]
⌘I

